Skip to main content
POST
Create (or replace) the video of a video-channel post from its caption.

Authorizations

X-API-Key
string
header
required

Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.

Path Parameters

contentId
string
required

Body

application/json

Company the content belongs to

Request body for creating a post's video

companyId
string
required

Company ID

Response

Video creation started

A background task was started. Poll GET /api/v0/lists/tasks/{taskId} until status is "completed" (read result) or "failed" (read errorMessage).

taskId
string

Background task ID to poll

status
string

Task status when the request returned: "pending"

poll
string

How to read the result